import hasRole from './permission/hasRole'
import hasPermi from './permission/hasPermi'
import copyText from './common/copyText'
import loadMore from './common/loadMore'
import hasUser from './permission/hasUser'

export default function directive(app){
  app.directive('hasRole', hasRole)
  app.directive('hasPermi', hasPermi)
  app.directive('copyText', copyText)
  app.directive('loadMore', loadMore)
  app.directive('hasUser', hasUser)
}